## cinnamon-wm cinnamon-wm |

## Functions

CinnamonWM * | cinnamon_wm_new ()
void | cinnamon_wm_completed_minimize ()
void | cinnamon_wm_completed_unminimize ()
void | cinnamon_wm_completed_size_change ()
void | cinnamon_wm_completed_map ()
void | cinnamon_wm_completed_destroy ()
void | cinnamon_wm_completed_switch_workspace ()
void | cinnamon_wm_complete_display_change ()

## Signals

void | confirm-display-change | Run Last
MetaCloseDialog* | create-close-dialog | Run Last
MetaInhibitShortcutsDialog* | create-inhibit-shortcuts-dialog | Run Last
void | destroy | Run Last
gboolean | filter-keybinding | Run Last
void | hide-tile-preview | Run Last
void | kill-switch-workspace | Run Last
void | kill-window-effects | Run Last
void | map | Run Last
void | minimize | Run Last
void | show-tile-preview | Run Last
void | show-window-menu | Run Last
void | size-change | Run Last
void | size-changed | Run Last
void | switch-workspace | Run Last
void | switch-workspace-complete | Run Last
void | unminimize | Run Last

## Types and Values

#define | CINNAMON_TYPE_WM
| CinnamonWM

## Object Hierarchy

        GObject
        ╰── CinnamonWM

## Description

## Functions

### cinnamon_wm_new ()

    CinnamonWM *
    cinnamon_wm_new (MetaPlugin *plugin);

Creates a new window management interface by hooking into `plugin` .

#### Parameters

plugin | the MetaPlugin |

#### Returns

the new window-management interface

### cinnamon_wm_completed_minimize ()

    void
    cinnamon_wm_completed_minimize (CinnamonWM *wm,
                                    MetaWindowActor *actor);

The plugin must call this when it has completed a window minimize effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_unminimize ()

    void
    cinnamon_wm_completed_unminimize (CinnamonWM *wm,
                                      MetaWindowActor *actor);

The plugin must call this when it has completed a window unminimize effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_size_change ()

    void
    cinnamon_wm_completed_size_change (CinnamonWM *wm,
                                       MetaWindowActor *actor);

### cinnamon_wm_completed_map ()

    void
    cinnamon_wm_completed_map (CinnamonWM *wm,
                               MetaWindowActor *actor);

The plugin must call this when it has completed a window map effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_destroy ()

    void
    cinnamon_wm_completed_destroy (CinnamonWM *wm,
                                   MetaWindowActor *actor);

The plugin must call this when it has completed a window destroy effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_switch_workspace ()

    void
    cinnamon_wm_completed_switch_workspace
                                   (CinnamonWM *wm);

The plugin must call this when it has finished switching the workspace.

#### Parameters

wm | the CinnamonWM |

### cinnamon_wm_complete_display_change ()

    void
    cinnamon_wm_complete_display_change (CinnamonWM *wm,
                                         gboolean ok);

The plugin must call this after the user responded to the confirmation dialog.

#### Parameters

wm | the CinnamonWM |
ok | if the new configuration was OK |

## Types and Values

### CINNAMON_TYPE_WM

    #define CINNAMON_TYPE_WM              (cinnamon_wm_get_type ())

### CinnamonWM

    typedef struct _CinnamonWM CinnamonWM;

## Signal Details

### The `“confirm-display-change”` signal

    void
    user_function (CinnamonWM *cinnamonwm,
                   gpointer    user_data)

Flags: Run Last

### The `“create-close-dialog”` signal

    MetaCloseDialog*
    user_function (CinnamonWM *wm,
                   MetaWindow *window,
                   gpointer    user_data)

Creates a close dialog for the given window.

#### Parameters

wm | The WM |
window | The window to create the dialog for |
user_data | user data set when the signal handler was connected. |

#### Returns

The close dialog instance.

[transfer full]

Flags: Run Last

### The `“create-inhibit-shortcuts-dialog”` signal

    MetaInhibitShortcutsDialog*
    user_function (CinnamonWM *wm,
                   MetaWindow *window,
                   gpointer    user_data)

Creates an inhibit shortcuts dialog for the given window.

#### Parameters

wm | The WM |
window | The window to create the dialog for |
user_data | user data set when the signal handler was connected. |

#### Returns

The inhibit shortcuts dialog instance.

[transfer full]

Flags: Run Last

### The `“destroy”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“filter-keybinding”` signal

    gboolean
    user_function (CinnamonWM     *cinnamonwm,
                   MetaKeyBinding *arg1,
                   gpointer        user_data)

Flags: Run Last

### The `“hide-tile-preview”` signal

    void
    user_function (CinnamonWM *cinnamonwm,
                   gpointer    user_data)

Flags: Run Last

### The `“kill-switch-workspace”` signal

    void
    user_function (CinnamonWM *cinnamonwm,
                   gpointer    user_data)

Flags: Run Last

### The `“kill-window-effects”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“map”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“minimize”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“show-tile-preview”` signal

    void
    user_function (CinnamonWM    *cinnamonwm,
                   MetaWindow    *arg1,
                   MetaRectangle *arg2,
                   int            arg3,
                   gpointer       user_data)

Flags: Run Last

### The `“show-window-menu”` signal

    void
    user_function (CinnamonWM    *cinnamonwm,
                   MetaWindow    *arg1,
                   int            arg2,
                   MetaRectangle *arg3,
                   gpointer       user_data)

Flags: Run Last

### The `“size-change”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   MetaSizeChange   arg2,
                   MetaRectangle   *arg3,
                   MetaRectangle   *arg4,
                   gpointer         user_data)

Flags: Run Last

### The `“size-changed”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“switch-workspace”` signal

    void
    user_function (CinnamonWM *cinnamonwm,
                   int         arg1,
                   int         arg2,
                   int         arg3,
                   gpointer    user_data)

Flags: Run Last

### The `“switch-workspace-complete”` signal

    void
    user_function (CinnamonWM *cinnamonwm,
                   gpointer    user_data)

Flags: Run Last

### The `“unminimize”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last